Bug 127764 - Add column number and call timing support to LegacyProfiler
Summary: Add column number and call timing support to LegacyProfiler
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Timothy Hatcher
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-28 00:01 PST by Timothy Hatcher
Modified: 2014-02-13 03:52 PST (History)
4 users (show)

See Also:


Attachments
Patch (127.75 KB, patch)
2014-01-28 00:36 PST, Timothy Hatcher
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Hatcher 2014-01-28 00:01:06 PST
The profiler should report column numbers and call times for each call. We need the call times to properly support time ranger filtering on profiles, as well as graphing.
Comment 1 Timothy Hatcher 2014-01-28 00:36:18 PST
Created attachment 222413 [details]
Patch
Comment 2 Timothy Hatcher 2014-01-30 17:31:26 PST
https://trac.webkit.org/r163140
Comment 3 Csaba Osztrogonác 2014-02-13 03:52:20 PST
Comment on attachment 222413 [details]
Patch

Cleared review? from attachment 222413 [details] so that this bug does not appear in http://webkit.org/pending-review.  If you would like this patch reviewed, please attach it to a new bug (or re-open this bug before marking it for review again).